# AWS variables
variable "aws_region" {
  default = "us-east-2"
  description = "The AWS Region"
}

variable "name_prefix" {
  description = "The prefix for all your resources"
  default     = "testing"
  type        = string
}

variable "name_suffix" {
  description = "The suffix for all your resources"
  type        = string
}

variable "aws_access_key" {
  description = "AWS Access Key"
  type = string
}

variable "aws_secret_key" {
  description = "AWS Secret Key"
  type = string
}
variable "tls_key_algorithm" {
  default   = "RSA"
  type      = string
}
variable "vpc_cidr" {
  description = "VPC CIDR"
  default     = "10.123.0.0/16"
}
variable "public_cidr" {
  description = "Public CIDR"
  default     = "10.123.1.0/24"
}
variable "ingress_cidr" {
  description = "CIDR that is allowed ingress access"
  default     = "172.59.221.135/32"
}

variable "instance_type" {
  description = "Instance Type"
  default     = "t2.micro"
  validation {
          condition     = ( 
            var.instance_type == "t2.micro"   ||
            var.instance_type == "t3.medium"  ||
            var.instance_type == "m5.large"   ||
            var.instance_type == "c5.large"   ||
            var.instance_type == "c5a.large"  ||
            var.instance_type == "m5.2xlarge" ||
            var.instance_type == "c5.2xlarge" ||
            var.instance_type == "m5.4xlarge" ||
            var.instance_type == "c5.4xlarge"
          )
          error_message = "Instance_type must be set to a valid vm instance type."
      }
}

variable "volume_size" {
  description = "Instance volume size in Gigabytes"
  default = 10
  type = number
}